curl --request GET \
--url https://int-api.mx.com/institutions/favorites \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/institutions/favorites"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/institutions/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institutions": [
{
"client_status": "AVAILABLE",
"code": "mxbank",
"created_at": "2025-02-13T18:08:00+00:00",
"forgot_password_url": "https://example.url.mxbank.com/forgot-password",
"forgot_username_url": "https://example.url.mxbank.com/forgot-username",
"guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>.",
"instructional_text_steps": [
"Step 1: Do this.",
"Step 2: Do that."
],
"is_disabled_by_client": false,
"is_hidden": true,
"iso_country_code": "US",
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
"name": "MX Bank",
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
"status": "OPERATIONAL",
"supported_products": [],
"supports_oauth": true,
"supports_tax_document": true,
"trouble_signing_in_url": "https://example.url.mxbank.com/login-trouble",
"url": "https://www.mxbank.com"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List favorite institutions
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Query Parameters
An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include US, CA, and MX (Mexico).
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The client-level status of the institution, indicating restrictions on member connections.
AVAILABLE, PREVENT_ALL, PREVENT_NEW, PREVENT_ALL_AND_DISCONNECT, PREVENT_VERIFICATION, PREVENT_BACKGROUND_AGG "AVAILABLE"
The code identifying a financial institution.
"mxbank"
The date and time the institution was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
URL for the forgot password page of the institution.
"https://example.url.mxbank.com/forgot-password"
URL for the forgot username page of the institution.
"https://example.url.mxbank.com/forgot-username"
The unique identifier for the institution. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
Render this text when end users are asked for their credentials, as it helps end users provide the correct credentials when creating a new member. May contain <a></a> tags to link to explanatory material.
"Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>."
An array of instructional steps that may contain html elements.
["Step 1: Do this.", "Step 2: Do that."]Indicates whether the institution is disabled by the client.
false
If the institution is available for creating new member connections, this field will be false. Otherwise, this field will be true.
true
The ISO country code associated with the institution.
US, CA "US"
The URL for a 100px X 100px logo for each institution. A generic logo is returned for institutions that don't have one.
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png"
The name of the institution.
"MX Bank"
The URL for a 50px X 50px logo for each institution. A generic logo is returned for institutions that don't have one.
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png"
The operational status of the institution.
OPERATIONAL, MAINTENANCE, DEGRADED, UNAVAILABLE "OPERATIONAL"
account_verification, identity_verification, transactions, transaction_history, statements, investments, rewards If true, this indicates that the institution supports OAuth and that you have been properly registered for OAuth with that institution.
true
This indicates whether the institution supports tax documents.
true
The URL of the institution for helping users troubleshoot any other sign-in issue.
"https://example.url.mxbank.com/login-trouble"
The URL for an institution's website.
"https://www.mxbank.com"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

